## cups 1.3.8-maemo8

=== debian/changelog ===
cups (1.3.8-maemo8) stable-security; urgency=high

  * Added manual optification.

 -- Thomas Maass <mase@setho.org>  Mon, 28 Feb 2011 16:57:00 +0200
