## cups 1.3.8-maemo9

=== debian/changelog ===
cups (1.3.8-maemo9) stable-security; urgency=high

  * Fixed bad symlink in libcupsimage2-dev.

 -- Thomas Maass <mase@setho.org>  Mon, 28 Feb 2011 20:50:00 +0200
