=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 
 binary-post-install/libcupsimage2-dev::
 	mkdir -p debian/libcupsimage2-dev/usr/lib
-	ln -s /opt/usr/lib/libcupsimage.so debian/libcupsimage2-dev/usr/lib/libcups.so
+	ln -s /opt/usr/lib/libcupsimage.so debian/libcupsimage2-dev/usr/lib/libcupsimage.so
 	ln -s /opt/usr/lib/libcupsimage.a debian/libcupsimage2-dev/usr/lib/libcupsimage.a
 	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
 	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
