=== debian/changelog ===
cups (1.3.8-maemo10) stable-security; urgency=high

  * Fixed package section.

 -- Thomas Maass <mase@setho.org>  Thu, 03 Mar 2011 22:58:00 +0200
