=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 Package: cups
 Priority: optional
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, debconf (>= 1.2.9),
  poppler-utils | xpdf-utils, perl-modules, procps, 
@@ -78,7 +78,7 @@
 
 Package: cups-client
 Priority: optional
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, cups-common, adduser
 Suggests: cups, kdeprint, gtklp, cups-pt, xpp, cups-bsd
@@ -141,7 +141,7 @@
 
 Package: cups-bsd
 Priority: extra
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
  debconf, netbase, cups-common
