## cups 1.3.8-maemo11

=== debian/changelog ===
cups (1.3.8-maemo11) stable-security; urgency=high

  * Added bugtracker field.

 -- Thomas Maass <mase@setho.org>  Thu, 04 Mar 2011 00:05:00 +0200
