=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcupsimage2
 Priority: optional
@@ -48,6 +49,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups
 Priority: optional
@@ -75,6 +77,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-client
 Priority: optional
@@ -96,6 +99,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcups2-dev
 Priority: optional
@@ -119,6 +123,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcupsimage2-dev
 Priority: optional
@@ -138,6 +143,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-bsd
 Priority: extra
@@ -162,6 +168,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-common
 Priority: optional
@@ -182,6 +189,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-dbg
 Priority: extra
@@ -201,3 +209,4 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
