## cups 1.3.8-maemo12

=== debian/changelog ===
cups (1.3.8-maemo12) stable-security; urgency=high

  * Fixed dependencies of libcupsimage2-dev.

 -- Thomas Maass <mase@setho.org>  Fri, 04 Mar 2011 03:10:00 +0200
