=== debian/control ===
--- 
+++ 
@@ -130,7 +130,7 @@
 Section: libdevel
 Architecture: any
 Depends: libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
- libpng-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
+ libpng12-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
 Description: Common UNIX Printing System(tm) - image development files
  The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
  general replacement for lpd and the like.  It supports the Internet
